WordPress多站点自定义错误

我有一个运行9个不同主题的WordPress多站点构建。 一切都运行正常,我在其中大部分都使用了Redux Framework但是我无法使用原生的WordPress定制器,我收到了通用的“Cheatin”呃?抱歉,您不能自定义此站点。 错误。 我是超级管理员,所以我不相信这是一个权限问题。 我无法在任何网站上使用自定义程序,因此我认为这是一个核心问题,但我不确定在哪里查看。 任何建议将不胜感激。 </ p>
</ div>

展开原文

原文

I have a WordPress multisite build with 9 different themes running. Everything is working okay, I've used Redux Framework on most of them but I'm not able to use the native WordPress customizer, I receive the generic, "Cheatin’ uh? Sorry, you are not allowed to customize this site." error. I am a super admin so I don't believe it's a permissions issue. I'm not able to use the customizer on any of the sites, so I'm thinking it's a core issue but I'm not sure where to look. Any suggestions would be greatly appreciated.

doudu5498
doudu5498 启用debug和debug_log可能会显示一些信息:Debugging-WordPress
3 年多之前 回复
duan41497
duan41497 尝试创建新的管理员用户并重试
3 年多之前 回复
dongxuxian1123
dongxuxian1123 不,它没有,我实际上注意到我购买的主题不使用Redux,只是本机钩子:add_action('customize_register','register_theme_customizer');
3 年多之前 回复
doulang5323
doulang5323 它是否适用于不是Redux的主题?
3 年多之前 回复

1个回答



许多人在更新到WordPress 4.7x后遇到同样的问题。</ p>

我看到有人修复此问题 使用此方法的问题:</ p>

 安装插件[用户角色编辑器] [1] 
go到用户 - &gt;用户角色编辑器
选择角色:管理员在顶部
检查行edit_theme_options
点击更新
确认消息框
</ code> </ pre>
</ div>

展开原文

原文

Many people have same issue after update to WordPress 4.7x.

I see someone fixed this issue using this method:

install the plug-in [User Role Editor][1]
go to Users->User Role Editor
select Role: Administrator at the top
check the row edit_theme_options
click on Update
confirm the message box

douzhi1919
douzhi1919 同样的事情:(。奇怪的是,我甚至无法使用具有管理员角色的新创建用户的定制器。
3 年多之前 回复
dou448172583
dou448172583 我是管理员/超级管理员。 我能够在下拉菜单中启用管理员角色,但是已经检查了edit_theme_options,并且取消选中/重新检查也不起作用。
3 年多之前 回复
doujinyi1267
doujinyi1267 你有什么许可?
3 年多之前 回复
dtlygweb2017
dtlygweb2017 嗯这很有意思,我安装了这个插件,但是当我去编辑器时,我没有管理员作为选项,只有作者。
3 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐